import request from '@/utils/request'

// 查询芳烃培训模版内容列表
export function listFtTmplContent(query) {
  return request({
    url: '/bccnew/ftTmplContent/list',
    method: 'get',
    params: query
  })
}

// 查询芳烃培训模版内容详细
export function getFtTmplContent(id) {
  return request({
    url: '/bccnew/ftTmplContent/' + id,
    method: 'get'
  })
}

// 新增芳烃培训模版内容
export function addFtTmplContent(data) {
  return request({
    url: '/bccnew/ftTmplContent',
    method: 'post',
    data: data
  })
}

// 修改芳烃培训模版内容
export function updateFtTmplContent(data) {
  return request({
    url: '/bccnew/ftTmplContent',
    method: 'put',
    data: data
  })
}

// 删除芳烃培训模版内容
export function delFtTmplContent(id) {
  return request({
    url: '/bccnew/ftTmplContent/' + id,
    method: 'delete'
  })
}

// 导出芳烃培训模版内容
export function exportFtTmplContent(query) {
  return request({
    url: '/bccnew/ftTmplContent/export',
    method: 'get',
    params: query
  })
}